umbrello: AdaImport Class Reference

umbrello 2.38.4 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
AdaImport Class Reference

`#include <adaimport.h>`

Inheritance diagram for AdaImport:

## Public Member Functions
| AdaImport (CodeImpThread *thread=0)
virtual | ~AdaImport ()
Public Member Functions inherited from NativeImportBase
| NativeImportBase (const QString &singleLineCommentIntro, CodeImpThread *thread=0)
virtual | ~NativeImportBase ()
Public Member Functions inherited from ClassImport
| ClassImport (CodeImpThread *thread=0)
virtual | ~ClassImport ()
bool | importFiles (const QStringList &fileNames)
bool | importFile (const QString &fileName)
void | setRootPath (const QString &path)
bool | enabled () const

## Protected Types
typedef QMap< QString, QString > | StringMap

## Protected Member Functions
void | initVars ()
bool | parseStmt ()
QStringList | split (const QString &line)
void | fillSource (const QString &word)
QString | expand (const QString &name)
void | parseStems (const QStringList &stems)
Protected Member Functions inherited from NativeImportBase
void | initialize ()
void | setMultiLineComment (const QString &intro, const QString &end)
void | setMultiLineAltComment (const QString &intro, const QString &end)
virtual bool | parseFile (const QString &filename)
void | scan (const QString &line)
virtual bool | preprocess (QString &line)
void | skipStmt (const QString &until=QStringLiteral(";"))
bool | skipToClosing (QChar opener)
QString | current ()
QString | lookAhead ()
virtual QString | advance ()
void | pushScope (UMLPackage *p)
UMLPackage * | popScope ()
UMLPackage * | currentScope ()
int | scopeIndex ()
Protected Member Functions inherited from ClassImport
virtual void | initPerFile ()
void | log (const QString &file, const QString &text)
void | log (const QString &text)

## Protected Attributes
bool | m_inGenericFormalPart
| auxiliary variable
UMLObjectList | m_classesDefinedInThisScope
StringMap | m_renaming
Protected Attributes inherited from NativeImportBase
QString | m_singleLineCommentIntro
| start token of a single line comment
QStringList | m_source
| the scanned lexemes
int | m_srcIndex
| used for indexing m_source
QList< UMLPackage * > | m_scope
| stack of scopes for use by the specific importer
UMLClassifier * | m_klass
| class currently being processed
Uml::Visibility::Enum | m_currentAccess
| current access (public/protected/private)
QString | m_comment
| intermediate accumulator for comment text
bool | m_inComment
bool | m_isAbstract
| accumulator for abstractness
QString | m_multiLineCommentIntro
| multi line comment delimiter intro
QString | m_multiLineCommentEnd
| multi line comment delimiter end
QString | m_multiLineAltCommentIntro
QString | m_multiLineAltCommentEnd
Protected Attributes inherited from ClassImport
CodeImpThread * | m_thread
| thread in which the work of importing is done
bool | m_enabled
| state of importer
QString | m_rootPath
| root path of import

## Additional Inherited Members
Static Public Member Functions inherited from ClassImport
static ClassImport * | createImporterByFileExt (const QString &fileName, CodeImpThread *thread=0)
Static Protected Attributes inherited from NativeImportBase
static QStringList | m_parsedFiles

## Detailed Description

Ada code import

Author
  Oliver Kellogg Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Typedef Documentation

## ◆ StringMap

typedef QMap<QString, QString> AdaImport::StringMap
| protected

## Constructor & Destructor Documentation

## ◆ AdaImport()

AdaImport::AdaImport | ( | CodeImpThread * | thread = `0` | ) |
| explicit

Constructor.

## ◆ ~AdaImport()

AdaImport::~AdaImport | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ expand()

QString AdaImport::expand | ( | const QString & | name | ) |
| protected

Apply package renamings to the given name.

Returns
  expanded name

## ◆ fillSource()

void AdaImport::fillSource | ( | const QString & | word | ) |
| protectedvirtual

Implement abstract operation from NativeImportBase.

Implements NativeImportBase.

## ◆ initVars()

void AdaImport::initVars | ( |  | ) |
| protectedvirtual

Reimplement operation from NativeImportBase.

Reimplemented from NativeImportBase.

## ◆ parseStems()

void AdaImport::parseStems | ( | const QStringList & | stems | ) |
| protected

Parse all files that can be formed by concatenation of the given stems.

## ◆ parseStmt()

bool AdaImport::parseStmt | ( |  | ) |
| protectedvirtual

Implement abstract operation from NativeImportBase.

Implements NativeImportBase.

## ◆ split()

QStringList AdaImport::split | ( | const QString & | lin | ) |
| protectedvirtual

Split the line so that a string is returned as a single element of the list. When not in a string then split at white space. Reimplementation of method from NativeImportBase is required because of Ada's tic which is liable to be confused with the beginning of a character constant.

Reimplemented from NativeImportBase.

## Member Data Documentation

## ◆ m_classesDefinedInThisScope

UMLObjectList AdaImport::m_classesDefinedInThisScope
| protected

List for keeping track of tagged objects declared in the current scope. This is required for distinguishing primitive from non primitive methods.

## ◆ m_inGenericFormalPart

bool AdaImport::m_inGenericFormalPart
| protected

auxiliary variable

## ◆ m_renaming

StringMap AdaImport::m_renaming
| protected

Map of package renamings. Keyed by the renaming. Value returns the expanded name.

The documentation for this class was generated from the following files:

- umbrello/codeimport/adaimport.h
- umbrello/codeimport/adaimport.cpp